Bug 197672 - CVE-2006-2935 Possible buffer overflow in DVD handling
CVE-2006-2935 Possible buffer overflow in DVD handling
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Coldwell
Brian Brock
impact=moderate,source=kernelbugzilla...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-05 09:48 EDT by Marcel Holtmann
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version: RHSA-2006-0710
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-19 08:42:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix a typo in drivers/cdrom/cdrom.c (507 bytes, patch)
2006-07-07 13:55 EDT, Chip Coldwell
no flags Details | Diff

  None (edit)
Description Marcel Holtmann 2006-07-05 09:48:19 EDT
Reported by Marcus Meissner to the Kernel Bugzilla:

http://bugzilla.kernel.org/show_bug.cgi?id=2966

The dvd_read_bca() function in drivers/cdrom/cdrom.c shows a potential buffer
overflow. 
 
The variable buf[4+188] is allocated on the stack, however cgc.cmd[9] and
cgc.buflen are set to 255:

cgc.cmd[9] = cgc.buflen = 0xff;
 
This can be exploited by a custom made USB Storage device and used for local
privilege escalation (aka plug-in this USB device to get root).

This function has been introduced in 2.2.16 (back in 2000) and as of today it
hasn't changed. Jens Axboe confirmed that this is a typo and it should read:

cgc.cmd[9] = cgc.buflen & 0xff;

It is to mask high bits of the length. It doesn't use the high 8 bits for
transfer length, since we are always < 256 for this case.
Comment 2 Chip Coldwell 2006-07-07 13:55:22 EDT
Created attachment 132074 [details]
patch to fix a typo in drivers/cdrom/cdrom.c
Comment 8 Ernie Petrides 2006-09-22 21:06:55 EDT
A fix for this problem has just been committed to the RHEL3 U9
patch pool this evening (in kernel version 2.4.21-47.1.EL).
Comment 9 Ernie Petrides 2006-10-13 17:48:52 EDT
A fix for this problem has also been committed to the RHEL3 E9
patch pool this evening (in kernel version 2.4.21-47.0.1.EL).
Comment 12 Red Hat Bugzilla 2006-10-19 08:42:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0710.html

Note You need to log in before you can comment on or make changes to this bug.